Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::HitQueueBase Class Referenceabstract

`#include <HitQueueBase.h>`

Inheritance diagram for Lucene::HitQueueBase:

## Public Member Functions

| HitQueueBase (int32_t size)
virtual | ~HitQueueBase ()
virtual String | getClassName ()
boost::shared_ptr< HitQueueBase > | shared_from_this ()
virtual ScoreDocPtr | add (const ScoreDocPtr &scoreDoc)
virtual ScoreDocPtr | addOverflow (const ScoreDocPtr &scoreDoc)
virtual ScoreDocPtr | top ()
virtual ScoreDocPtr | pop ()
virtual ScoreDocPtr | updateTop ()
virtual int32_t | size ()
virtual bool | empty ()
virtual void | clear ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Member Functions

virtual bool | lessThan (const ScoreDocPtr &first, const ScoreDocPtr &second)=0
virtual ScoreDocPtr | getSentinelObject ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

PriorityQueueScoreDocsPtr | queue
int32_t | queueSize
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ HitQueueBase()

Lucene::HitQueueBase::HitQueueBase | ( | int32_t | size | ) |

## ◆ ~HitQueueBase()

virtual Lucene::HitQueueBase::~HitQueueBase | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::HitQueueBase::_getClassName | ( |  | ) |

inline static

## ◆ add()

virtual ScoreDocPtr Lucene::HitQueueBase::add | ( | const ScoreDocPtr & | scoreDoc | ) |

virtual

## ◆ addOverflow()

virtual ScoreDocPtr Lucene::HitQueueBase::addOverflow | ( | const ScoreDocPtr & | scoreDoc | ) |

virtual

## ◆ clear()

virtual void Lucene::HitQueueBase::clear | ( |  | ) |

virtual

## ◆ empty()

virtual bool Lucene::HitQueueBase::empty | ( |  | ) |

virtual

## ◆ getClassName()

virtual String Lucene::HitQueueBase::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::FieldValueHitQueue, and Lucene::HitQueue.

## ◆ getSentinelObject()

virtual ScoreDocPtr Lucene::HitQueueBase::getSentinelObject | ( |  | ) |

protected virtual

Reimplemented in Lucene::HitQueue.

## ◆ initialize()

virtual void Lucene::HitQueueBase::initialize | ( |  | ) |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

## ◆ lessThan()

virtual bool Lucene::HitQueueBase::lessThan | ( | const ScoreDocPtr & | first,
|  | const ScoreDocPtr & | second
| ) |  |

protected pure virtual

Implemented in Lucene::HitQueue.

## ◆ pop()

virtual ScoreDocPtr Lucene::HitQueueBase::pop | ( |  | ) |

virtual

## ◆ shared_from_this()

boost::shared_ptr< HitQueueBase > Lucene::HitQueueBase::shared_from_this | ( |  | ) |

inline

## ◆ size()

virtual int32_t Lucene::HitQueueBase::size | ( |  | ) |

virtual

## ◆ top()

virtual ScoreDocPtr Lucene::HitQueueBase::top | ( |  | ) |

virtual

## ◆ updateTop()

virtual ScoreDocPtr Lucene::HitQueueBase::updateTop | ( |  | ) |

virtual

## Field Documentation

## ◆ queue

PriorityQueueScoreDocsPtr Lucene::HitQueueBase::queue

protected

## ◆ queueSize

int32_t Lucene::HitQueueBase::queueSize

protected

The documentation for this class was generated from the following file:

- HitQueueBase.h

clucene.sourceforge.net